1. Occupancy
Calven
  • Overview
  • Key Access Levels
  • Basic Authentication Overview
  • HMAC Authentication Overview
  • SDKs
  • Calven Data Models
  • Changelog
  • HMAC Authentication
    • Generate a token with an API key and HMAC
      POST
    • Generate a token with an API key and client secret
      POST
  • Presence
    • Presence Overview
    • Submit presence events with BASIC auth
      POST
    • Submit presence events
      POST
  • Occupancy
    • Occupancy Overview
    • Submit occupancy events
      POST
  • Time off
    • Submit time off updates
      POST
  • Access Credentials
    • Submit access credentials
      POST
  • Warehouse - Basic Auth
    • Warehouse Overview
    • Users
      GET
    • Groups
      GET
    • Locations
      GET
    • Desks
      GET
    • Bookings & Attendance
      GET
    • Presence Details
      GET
    • User Actions Log
      GET
  • Warehouse - HMAC Auth
    • Warehouse Overview
    • Users
    • Groups
    • Locations
    • Desks
    • Bookings & Attendance
    • Presence
    • User Actions Log
  • Hierarchy Information
    • Org Hierarchy Information Overview
    • Submit group hierarchy relationships
    • Submit group hierarchy relationships with Basic Auth
  • DirectoryManagement
    • User Attributes Overview
    • Write directory user attributes
    • Write directory user attributes with Basic Auth
  • Schemas
    • Schemas
      • DWDesksResponseDto
      • DMGroupRelationshipDto
      • PresenceEventDto
      • DWGroupsResponseDto
      • LeaveRequestBody
      • CreatePresenceEventDto
      • TimeoffRequestBody
      • TimeOffEvent
      • EventResultDto
      • TimeoffResponse
      • ResultCodes
      • TimeoffEventResponse
      • CreatePresenceEventResponseDto
      • OccupancyEventDto
      • CreateOccupancyEventDto
      • CreateOccupancyEventResponseDto
      • AuthRequestDto
      • AuthResponseDto
      • OAuthRequestDto
      • OAuthResponseDto
      • AccessCredentialUpdateResultCodes
      • AccessCredentialUpdateResult
      • AccessCredentialUpdateResponse
      • AccessCredential
      • AccessCredentialUpdate
      • AccessCredentialUpdateRequest
      • DWChangeLogUserResponseDto
      • DWUserBookingAttendanceResponseDto
      • DWPresenceResponseDto
      • DWUsersResponseDto
      • DWLocationsResponseDto
    • DMPostUserAttributesRecordDto
    • DMPostUserAttributesBodyDto
    • DMPostUserAttributesRecordResponseDto
    • DMPostUserAttributesResponseDto
  1. Occupancy

Submit occupancy events

POST
/v1/occupancy
Submit occupancy events to Calven.

Request

Body Params application/json

Example

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.calven.com/v1/occupancy' \
--header 'Content-Type: application/json' \
--data '{
    "sourceId": "string",
    "occupancyEvents": [
        {
            "timestamp": "2021-09-01T12:00:00.000Z",
            "locationId": "string",
            "locationType": "level",
            "eventId": "string",
            "occupied": true,
            "occupancy": 0
        }
    ]
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "sourceId": "string",
    "timestamp": "2021-09-01T12:00:00.000Z",
    "results": [
        {
            "eventId": "string",
            "resultCode": 0,
            "message": "string"
        }
    ]
}
🟠401Payload when auth header is missing or invalid
Modified at 2025-04-03 13:58:50
Previous
Occupancy Overview
Next
Submit time off updates
Built with